#!/bin/bash

function uninstall_sso()
{
  local PAM_AUTH_UPDATE_TOOL="$(which pam-auth-update)"
  local PAM_MAIN_DIR="/etc/pam.d/"
  local PAM_CONFIGS_DIR="/usr/share/pam-configs"
  local PAM_MODULE="/lib/security/pam_2xclient.so"

  if [ -d ${PAM_CONFIGS_DIR} ]; then
    ${PAM_AUTH_UPDATE_TOOL} --package --remove 2xclient lsass
    rm -f ${PAM_CONFIGS_DIR}/2xclient
    rm -f ${PAM_CONFIGS_DIR}/lsass
    list=`find ${PAM_MAIN_DIR} -name '*lwidentity.2xclient'`
    for f in $list; do
      orig=${f%*.lwidentity.2xclient}
      if [ -f "$orig" ]; then
        rm -f "$orig" || continue
        mv "$f" "$orig"
      fi
    done
  else
    list=`find ${PAM_MAIN_DIR} -name '*.2xclient'`
    for f in $list; do
      orig=${f%*.2xclient}
      if [ -f "$orig" ]; then
        rm -f "$orig" || continue
        mv "$f" "$orig"
      fi
    done
  fi

  if [ -e ${PAM_MODULE} ]; then
    rm -f ${PAM_MODULE}
  fi
}

##### MAIN #####
uninstall_sso
exit 0
